Bug 173016 - [RFE] make scrollbars controllable by mouse
[RFE] make scrollbars controllable by mouse
Product: Fedora
Classification: Fedora
Component: mc (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Jindrich Novy
Depends On:
  Show dependency treegraph
Reported: 2005-11-12 09:53 EST by Radek Bíba
Modified: 2013-07-02 19:11 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-04 10:16:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Radek Bíba 2005-11-12 09:53:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; cs-CZ; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The new scrollbar thing is really cool, the arrows are even clickable, but only
the down arrow can scroll the panel content. Clicking on the up arrow just
highlights the upper-most file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run mc, go to a large directory (e.g. /etc)
2. click the down arrow - it scrolls down
3. now, click the up arrow

Actual Results:  doesn't scroll up

Expected Results:  scrolls up

Additional info:
Comment 1 Jindrich Novy 2005-11-13 05:01:30 EST
Well, the mouse support in the upstream mc is a bit broken since it works only
for the left panel actually. The ability to scroll the scrollbar with mouse
wasn't intended for the first introductionary release of the panel scrollbars as
they were planned as an indicator widget. The reason that you're scrolling down
when clicking on the bottom arrow in the scrollbar is caused by the fact that
the arrow sign is on the bottom of the left panel and you sroll down when you
click anywhere in bottom area of the panel. Note that the same works if you
click somewhere on the top of the panel.

The control of the srollbar with mouse matches an intuitive behaviour of it as
scrollbars are considered not to only fullfil an indication role, so
reclasifying this bug as a RFE.
Comment 2 Radek Bíba 2005-11-13 08:12:14 EST
OK, whatever.

Thanks for the tip with scrolling by clicking anywhere in the areas above and
below the panels.
Comment 3 Christian Iseli 2007-01-22 06:09:01 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Comment 4 Radek Bíba 2007-02-04 10:16:20 EST
Well I actually don't care about this RFE anymore, the explanation in comment 1
is fair enough.

Closing as WONTFIX if you don't mind. (and fixing the summary)

Note You need to log in before you can comment on or make changes to this bug.